
<template>
    <button v-on:click="onClick()" style="background-color: green;" class="btn">{{text}}</button>
</template>

<script>

    export default{
        name: 'Button',
        props: {
            text : String,
            color: String,
            formToggle: Boolean
        },
        methods: {
            onClick(){
                this.$emit('change-toggle', !this.formToggle)
            }
        }
    }
</script>

<style scoped>
    button{
        height: 2rem;
        width: 6rem;
    }
</style>